Holger's Java API

## com.antelmann.db.remote
Class RemoteDBUpdateEvent.Option

    java.lang.Object
      com.antelmann.db.remote.RemoteDBUpdateEvent.Option

All Implemented Interfaces:
  Serializable

Enclosing class:
  RemoteDBUpdateEvent

    public static class RemoteDBUpdateEvent.Option

extends Object
implements Serializable

used as the optional parameter when generating a `DBUpdateEvent`

See Also:
  `DBUpdateEvent.getOption()`, Serialized Form

Constructor Summary
`RemoteDBUpdateEvent.Option(InetAddress computer, DBReference user)`
`RemoteDBUpdateEvent.Option(InetAddress computer, User user)`

Method Summary
`InetAddress` `getComputer()`
`DefaultDBReference` `getUser()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoteDBUpdateEvent.Option

    public RemoteDBUpdateEvent.Option(InetAddress computer,
                                      DBReference user)
                               throws IllegalArgumentException,
                                      NullPointerException

Throws:
  `IllegalArgumentException`
  `NullPointerException`

### RemoteDBUpdateEvent.Option

    public RemoteDBUpdateEvent.Option(InetAddress computer,
                                      User user)

Method Detail

### getComputer

    public InetAddress getComputer()

### getUser

    public DefaultDBReference getUser()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads